Bug 1347643 - gaps in C&U gap data collected
Summary: gaps in C&U gap data collected
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.0
Assignee: James Wong
QA Contact: Nandini Chandra
URL:
Whiteboard: c&u
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-17 10:16 UTC by Nandini Chandra
Modified: 2016-09-27 14:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 14:26:56 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screenshot of perf graphs from vCenter (115.35 KB, image/png)
2016-06-23 11:05 UTC, Nandini Chandra
no flags Details

Description Nandini Chandra 2016-06-17 10:16:13 UTC
Description of problem:
----------------------
I've noticed gaps in data collected from a C&U gap collection.

The DB has data points for even hours only.

vmdb_production=# select timestamp from metric_rollups where resource_name = 'nachandr-x' and timestamp > '2016-06-02' and timestamp < '2016-06-03' and capture_interval_name = 'hourly'\x\g\x
Expanded display is on.
-[ RECORD 1 ]------------------
timestamp | 2016-06-02 02:00:00
-[ RECORD 2 ]------------------
timestamp | 2016-06-02 04:00:00
-[ RECORD 3 ]------------------
timestamp | 2016-06-02 06:00:00
-[ RECORD 4 ]------------------
timestamp | 2016-06-02 08:00:00
-[ RECORD 5 ]------------------
timestamp | 2016-06-02 10:00:00
-[ RECORD 6 ]------------------
timestamp | 2016-06-02 12:00:00
-[ RECORD 7 ]------------------
timestamp | 2016-06-02 14:00:00
-[ RECORD 8 ]------------------
timestamp | 2016-06-02 16:00:00
-[ RECORD 9 ]------------------
timestamp | 2016-06-02 18:00:00
-[ RECORD 10 ]-----------------
timestamp | 2016-06-02 20:00:00
-[ RECORD 11 ]-----------------
timestamp | 2016-06-02 22:00:00



Version-Release number of selected component (if applicable):
-------------------------
5.6.0.10


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.Manage a vSphere provider. 
2.Initiate gap collection for a week or so.


Actual results:
---------------
gaps in C&U gap data collected


Expected results:
-----------------
No gaps in C&U gap data collected


Additional info:
----------------
I see this issue with both vSphere 5.5 and vSphere 6.0

Comment 2 Greg Blomquist 2016-06-22 19:54:44 UTC
Nandini, do you know if that VM was on during those times?

I remember some bug where we would see every-other-hour rollups in the logs for VMs that were power off during the time of the rollups.

I'm not sure we ever tracked it down.

Comment 6 Nandini Chandra 2016-06-23 11:05:47 UTC
Created attachment 1171427 [details]
screenshot of perf graphs from vCenter

Comment 8 James Wong 2016-09-27 14:26:56 UTC
According to VMware documentation https://pubs.vmware.com/vsphere-60/index.jsp?topic=%2Fcom.vmware.wssdk.apiref.doc%2Fvim.HistoricalInterval.html

They no longer allow change to perf interval.

From what I have found, the interval of gap collection is default to 2 hours. I'm closing this bug.

If there's need to change this behavior, please create a RFE.


Note You need to log in before you can comment on or make changes to this bug.